Перейти к основному содержанию
GET
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
authorizations
Список авторизаций аккаунта
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/authorizations \
  --header 'Authorization: Bearer <token>'
[
  {
    "grant_kind": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "subject_id": "<string>",
    "subject_type": "<string>",
    "capability_key": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resource_type": "<string>",
    "revoked_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Авторизации

Authorization
string
header
обязательно

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Параметры пути

account_id
string<uuid>
обязательно

Параметры запроса

subject_type
enum<string> | null

Типы субъектов авторизации.

Доступные опции:
user,
group,
service_account
subject_id
string | null
grant_kind
enum<string> | null

Типы предоставления авторизации.

Доступные опции:
capability,
account_owner,
super_admin
capability_key
string | null
include_revoked
boolean
по умолчанию:false

Ответ

grant_kind
string
обязательно
id
string<uuid>
обязательно
subject_id
string
обязательно
subject_type
string
обязательно
capability_key
string | null
created_at
string<date-time> | null
resource_id
string<uuid> | null
resource_type
string | null
revoked_at
string<date-time> | null